/// <reference types="@qualweb/types" />
import { Page } from 'puppeteer';
import { QualwebOptions, Evaluator, Execute } from '@qualweb/core';
import { WCAGOptions, WCAGTechniquesReport } from '@qualweb/wcag-techniques';
import EvaluationRecord from './evaluationRecord.object';
import { ACTROptions, ACTRulesReport } from '@qualweb/act-rules';
import { BPOptions, BestPracticesReport } from '@qualweb/best-practices';
import { CounterReport } from '@qualweb/counter';
import { HTMLValidationReport } from '@qualweb/html-validator';
declare class Evaluation {
    getEvaluator(page: Page, url: string): Promise<Evaluator>;
    init(page: Page): Promise<void>;
    executeACT(page: Page, sourceHtmlHeadContent: string, options: ACTROptions | undefined): Promise<ACTRulesReport>;
    executeWCAG(page: Page, options: WCAGOptions | undefined, validation: HTMLValidationReport | null): Promise<WCAGTechniquesReport>;
    executeBP(page: Page, options: BPOptions | undefined): Promise<BestPracticesReport>;
    executeCounter(page: Page): Promise<CounterReport>;
    evaluatePage(sourceHtmlHeadContent: string, page: Page, execute: Execute, options: QualwebOptions, url: string, validation: HTMLValidationReport | undefined): Promise<EvaluationRecord>;
    private parseUrl;
    private detectIfUnwantedTabWasOpened;
}
export { Evaluation, EvaluationRecord };
//# sourceMappingURL=index.d.ts.map